import { cookies } from './cookies.js';
cookies();

let element = [
    window,
    $(document),
    document.querySelectorAll("body")
]
const dir = "Document is Ready 😁";

// Hide anchors that has "#" in href
addEventListener("load", function () {
    var links = document.getElementsByTagName("a");
    for (var i = 0; i < links.length; i++) {
        links[i].addEventListener("click", function (e) {
            e.preventDefault();
        })
    }
});

// Libs and other Fns
document.addEventListener('DOMContentLoaded', () => {

    // Navbar Fn
    const navbarFix = () => {
        window.addEventListener('scroll', () => {
            const winScroll = element[0].pageYOffset;
            switch (true) {
                case (winScroll > 100):
                    document.querySelector(".main-nav").classList.remove("slideOutUp");
                    document.querySelector(".main-nav").classList.add("fix-it", "animated", "slideInDown");
                    break;
                case (winScroll < 50):
                    document.querySelector(".main-nav").classList.remove("fix-it", "animated", "slideInDown");
                    break;
                default:
                    break;
            }
        });
    }
    // Navbar Fn End

    const carousel = () => {
        if (element[2].owlCarousel != undefined) {
            $('.main-carousel').owlCarousel({
                loop: false,
                margin: 10,
                nav: false,
                dots: true,
                rtl: false,
                responsive: {
                    0: {
                        items: 1
                    },
                    600: {
                        items: 3
                    },
                    1000: {
                        items: 5
                    }
                }
            })
        }
    }

    const magPopup = () => {
        if (element[2].magnificPopup != undefined) {
            $('.popup-link').magnificPopup({
                type: 'image',
                mainClass: 'mfp-with-zoom',
                gallery: {
                    enabled: true,
                    preload: [0, 2],
                    navigateByImgClick: true,
                    arrowMarkup: '<button title="%title%" type="button" class="mfp-arrow mfp-arrow-%dir%"></button>',
                    tPrev: 'Previous (Left arrow key)',
                    tNext: 'Next (Right arrow key)',
                    tCounter: '<span class="mfp-counter">%curr% of %total%</span>'
                },
                zoom: {
                    enabled: true,
                    duration: 300,
                    easing: 'ease-in-out',
                    opener: function (openerElement) {
                        return openerElement.is('img') ? openerElement : openerElement.find('img');
                    }
                }
            });
        }
    }

    navbarFix();
    carousel();
    magPopup();
    
    console.log(dir)
})

window.addEventListener('load', () => {
    // Page Loader
    const loaderFn = () => {
        let loader = $(".page_loader");
        let pageWraper = $(".page_wraper");
        loader.addClass("loaded")
        if (loader.hasClass('loaded')) {
            loader.fadeOut();
            pageWraper.addClass("no-blur");
        }
    }; loaderFn()

})